W3C home > Mailing lists > Public > public-qt-comments@w3.org > June 2010

[Bug 9879] XQuery 1.1 tests have invalid XQueryX versions

From: <bugzilla@jessica.w3.org>
Date: Fri, 18 Jun 2010 22:15:58 +0000
To: public-qt-comments@w3.org
Message-Id: <E1OPjqw-0007VS-HM@jessica.w3.org>
http://www.w3.org/Bugs/Public/show_bug.cgi?id=9879


Andrew Eisenberg <andrew.eisenberg@us.ibm.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |FIXED




--- Comment #1 from Andrew Eisenberg <andrew.eisenberg@us.ibm.com>  2010-06-18 22:15:57 ---
The XML Query WG discussed this issue at its June 15 meeting.

Before we added XQuery 1.1 test cases to the test suite, these test cases used
scenario parse-error and no XQueryX documents were generated for them.

For the purposes of testing XQueryX 1.0, a test harness may now skip the
execution of a test case when:

1) the scenario is parse-error, or
2) an XQuery 1.0 expected error is XPST0003, or
3) the XQueryX document does not validate using the XQueryX 1.0 schema

The Guidelines for Running the XML Query Test Suite will be updated to reflect
the resolution of this issue.

Please close this bug report if you agree with this resolution.

-- 
Configure bugmail: http://www.w3.org/Bugs/Public/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug.
Received on Friday, 18 June 2010 22:16:00 UTC

This archive was generated by hypermail 2.4.0 : Friday, 17 January 2020 16:57:31 UTC